## GMimeFilterCharset

GMimeFilterCharset — Charset-conversion filter

## Functions

GMimeFilter * | g_mime_filter_charset_new ()

## Types and Values

struct | GMimeFilterCharset

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterCharset

## Description

A GMimeFilter which is used for converting text from one charset to another.

## Functions

### g_mime_filter_charset_new ()

    GMimeFilter *
    g_mime_filter_charset_new (const char *from_charset,
                               const char *to_charset);

Creates a new GMimeFilterCharset filter.

#### Parameters

from_charset | charset to convert from |
to_charset | charset to convert to |

#### Returns

a new charset filter or `NULL` if the charset conversion is not possible.

## Types and Values

### struct GMimeFilterCharset

    struct GMimeFilterCharset;

A filter to convert between charsets.

#### Members